---
import Navigation from "../components/Navigation.astro";
import Footer from "../components/Footer.astro";
import { ViewTransitions } from "astro:transitions";
---
<html lang="ja" data-theme="light">
  <head>
    <meta charset="utf-8" />
    <link rel="icon" type="image/svg+xml" href="/favicon.svg" />
    <meta name="viewport" content="width=device-width" />
    <meta name="generator" content={Astro.generator} />
    <ViewTransitions />
  </head>
  <body class="flex flex-col min-h-screen">
    <Navigation />
    <main class="flex-grow container mx-auto max-w-3xl p-7">
      <slot />
    </main>
    <Footer />
  </body>
</html>
